<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow()" class="btn btn-primary">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-success ml-1" (click)="guardar()" [disabled]="ngForm.invalid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
  <button class="btn btn-danger ml-1" [disabled]="!flagEdit" (click)="eliminar()">
    <i class="fas fa-trash-alt mr-2"></i>Eliminar
  </button>

</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-3">
          <label class="w-100">Búsqueda por Acceso</label>
          <div class="input-group">
            <input type="tel" pattern="[0-9]*" class="form-control" formControlName="Acceso" [readonly]="true">
            <div class="input-group-append">
              <button class="btn btn-info" (click)="openModal(modal, 'telefonosAccesos')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="col-3">
          <label class="w-100"></label>
          <button class="btn btn-secondary mt-2 py-2" (click)="buscarAcceso(ngForm.value.Acceso)"
            [disabled]="!ngForm.value.Acceso">
            <i class="fa fa-search mr-2"></i>Buscar
          </button>
        </div>
      </div>

      <div class="divider"></div>

      <div class="row">
        <div class="col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <div class="form-group">
            <label>Área</label>
            <input type="tel" pattern="[0-9]*" formControlName="Area" maxlength="4" class="form-control">
          </div>
        </div>
        <div class="col-6 col-sm-5 col-md-5 col-lg-4 col-xl-4">
          <div class="form-group">
            <label>Descripción</label>
            <input type="text" formControlName="Descripcion" class="form-control" maxlength="30">
          </div>
        </div>
        <div class="col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label class="w-100">Tarifa</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="Tarifa" readonly>
            <div class="input-group-append">
              <button class="btn btn-info" (click)="openModal(modal, 'telefonosTarifas')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label class="w-100">Código</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="codigo" readonly>
            <div class="input-group-append">
              <button class="btn btn-info" (click)="openModal(modal, 'telefonosAreaCod')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="col-4 col-sm-3 col-md-3 col-lg-2 col-xl-2">
          <label class="w-100">TL</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="TL" readonly>
            <div class="input-group-append">
              <button class="btn btn-info" (click)="openModal(modal, 'telefonosTL')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
      </div>
    </form>

    <div class="divider"></div>

    <kendo-grid [data]="dataGrid" [selectable]="true" [filter]="filter" [filterable]="true" [navigable]="true"
      [reorderable]="true" [resizable]="true" [sortable]="true" (selectionChange)="selectRow($event)" [skip]="skip"
      style="height: 60vh;" *ngIf="!loading">
      <div *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Acceso" title="Acceso" width="150"></kendo-grid-column>
        <kendo-grid-column field="Area" title="Área" width="150"></kendo-grid-column>
        <kendo-grid-column field="Descripcion" title="Descipción" width="250"></kendo-grid-column>
        <kendo-grid-column field="Tarifa" title="Tarifa" width="150"></kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
    <app-loading *ngIf="loading"></app-loading>
  </div>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">

    <app-help-telefonos-tarifas (telefonosTarifas)="getDataModal($event, 'telefonosTarifas'); c()"
      *ngIf="modalType === 'telefonosTarifas'">
    </app-help-telefonos-tarifas>
    <app-help-telefonos-codigo (telefonosAreaCod)="getDataModal($event, 'telefonosAreaCod'); c()"
      *ngIf="modalType === 'telefonosAreaCod'">
    </app-help-telefonos-codigo>
    <app-help-telefonos-tipo-llamada (telefonosTL)="getDataModal($event, 'telefonosTL'); c()"
      *ngIf="modalType === 'telefonosTL'">
    </app-help-telefonos-tipo-llamada>
    <app-help-telefonos-accesos (telefonosAccesos)="getDataModal($event, 'telefonosAccesos'); c()"
      *ngIf="modalType === 'telefonosAccesos'">
    </app-help-telefonos-accesos>

  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>
